[PVFS2-CVS] commit by neill in pvfs2: CREDITS ChangeLog configure configure.in

CVS commit program cvs at parl.clemson.edu
Thu Jul 29 15:16:23 EDT 2004


Update of /projects/cvsroot/pvfs2
In directory parlweb:/tmp/cvs-serv13514

Modified Files:
	CREDITS ChangeLog configure configure.in 
Log Message:
- configure update to use quotes on tests; some formatting changes
- changelog update in prep for the 0.6.1 release
- updated credits file


Index: CREDITS
===================================================================
RCS file: /projects/cvsroot/pvfs2/CREDITS,v
diff -p -u -r1.10 -r1.11
--- CREDITS	16 Jul 2004 20:05:21 -0000	1.10
+++ CREDITS	29 Jul 2004 18:16:22 -0000	1.11
@@ -16,6 +16,7 @@ Nathan Poznick <poznick at conwaycorp.net>
    authored the pvfs2-chown admin utility program
    detailed bug reporting and analysis
    fixed permissions on newly created dirs using pvfs2-mkdir
+   misc formatting patches
 
 Murali Vilayannur <vilayann at mcs.anl.gov>
 -- testing and development

Index: ChangeLog
===================================================================
RCS file: /projects/cvsroot/pvfs2/ChangeLog,v
diff -p -u -r1.101 -r1.102
--- ChangeLog	28 Jul 2004 20:32:51 -0000	1.101
+++ ChangeLog	29 Jul 2004 18:16:22 -0000	1.102
@@ -5,16 +5,48 @@ PVFS2 Release ChangeLog
 
 pvfs2-0.6.1pre1
 ===============
-- misc. updates to msgpairarray and associated tools to allow for server
-  side use
-- reorganization of server request parameters so that more (but not all yet)
-  are stored in a centralized table
-- removed some depricated test programs
-- new pint-util.[ch] to contain utility functions shared between client and
-  server
-- some refactoring of server state machines (mainly crdirent) to allow for
-  code reuse in other state machines
+- misc. updates to msgpairarray and associated tools to allow for
+  server side use
+- reorganization of server request parameters so that more (but not
+  all yet) are stored in a centralized table
+- removed some deprecated test programs
+- new pint-util.[ch] to contain utility functions shared between
+  client and server
+- some refactoring of server state machines (mainly crdirent) to allow
+  for code reuse in other state machines
 - no longer need to fix up generated html by hand
+- fixed a bug that allowed an open through the vfs without the O_CREAT
+  and O_EXCL flags to return -EEXIST (should be success in that case)
+- added a file_open.c test program that tests opens in various modes
+- error code cleanups (added PVFS_EACCES mapping to EACCES; moved
+  PVFS_EDETAIL to be a non-errno error code)
+- fixed pvfs2-ls to properly convert reported file times in user's
+  configured system localtime, rather than in UTC
+- fixed the kernel module information so that modinfo doesn't report
+  many duplicate entries
+- fixed server pidfile usage (-p cmdline option)
+- fixed msgpair retries to properly delay between retry attempts
+- added trove hooks to be able to peek at handles that will be
+  allocated later
+- cleaned up the remove state machine and removed an unnecessary
+  allocation/copy
+- fixed existing acache usage in the sysint calls to be more uniform;
+  removed some overhead in the sysint
+- fixed kernel device close to be aware if mounts are still active
+- added more tests to pvfs2-shell-test that test deeply nested
+  subdirectories
+- added a method to determine the min handle recycle time across all
+  configured servers' file systems
+- changed code formatting rules to use spaces rather than tabs in vim
+- fixed bug that didn't reload the cached config information on file
+  system removal (i.e. unmounts)
+- added a cmdline argument to pvfs2-client to specify the acache
+  timeout to use at run-time (default is 0 milliseconds, which is
+  effectively disabled).  this timeout is upper bounded by the min
+  handle recycle time across all servers, and it can change
+  dynamically as new mounts come and go
+- fixed a bug that allowed servers to create internal storage objects
+  outside of the meta handle ranges in some circumstances
 
 
 pvfs2-0.6.0

Index: configure
===================================================================
RCS file: /projects/cvsroot/pvfs2/configure,v
diff -p -u -r1.169 -r1.170
--- configure	19 Jul 2004 21:20:11 -0000	1.169
+++ configure	29 Jul 2004 18:16:22 -0000	1.170
@@ -869,36 +869,36 @@ echo "$ac_t""$host" 1>&6
 
 
 MISC_TROVE_FLAGS=""
-if test x$host_os = xlinux-gnu; then
+if test "x$host_os" = "xlinux-gnu" ; then
     echo $ac_n "checking glibc version for working aio callbacks""... $ac_c" 1>&6
 echo "configure:875: checking glibc version for working aio callbacks" >&5
     libc=`echo /lib/libc.so.* | sed 1q`
-    if test x$libc != x ; then
-	if test -x $libc ; then
-	    vers=`$libc 2> /dev/null | sed 's/.*version \(.*\),.*/\1/; q'`
-            if test x$vers = x; then
-               vers=`strings /lib/libc.so.* | grep GLIBC | tail -n 2 | grep -v PRIVATE | cut -b 7-`
+    if test "x$libc" != "x" ; then
+        if test -x $libc ; then
+            vers=`$libc 2> /dev/null | sed 's/.*version \(.*\),.*/\1/; q'`
+            if test "x$vers" = "x"; then
+                vers=`strings /lib/libc.so.* | grep GLIBC | tail -n 2 | grep -v PRIVATE | cut -b 7-`
             fi
             majorminor=`echo $vers | cut -b 1-3`
             sub=`echo $vers | cut -b 5`
-            if test x$majorminor = x2.3; then
+            if test "x$majorminor" = "x2.3" ; then
                 if test $sub -gt 1; then
-		    MISC_TROVE_FLAGS="-D__PVFS2_TROVE_AIO_THREADED__"
+                    MISC_TROVE_FLAGS="-D__PVFS2_TROVE_AIO_THREADED__"
                 fi
-	    fi
+            fi
         else
             vers=`strings /lib/libc.so.* | grep GLIBC | tail -n 2 | grep -v PRIVATE | cut -b 7-`
             majorminor=`echo $vers | cut -b 1-3`
             sub=`echo $vers | cut -b 5`
-            if test x$majorminor = x2.3; then
+            if test "x$majorminor" = "x2.3" ; then
                 if test $sub -gt 1; then
-		    MISC_TROVE_FLAGS="-D__PVFS2_TROVE_AIO_THREADED__"
+                    MISC_TROVE_FLAGS="-D__PVFS2_TROVE_AIO_THREADED__"
                 fi
-	    fi
-	fi
+            fi
+        fi
     fi
 fi
-if test x$MISC_TROVE_FLAGS = x ; then
+if test "x$MISC_TROVE_FLAGS" = "x" ; then
     echo "$ac_t""no" 1>&6
 else
     echo "$ac_t""yes" 1>&6
@@ -1062,13 +1062,13 @@ fi
 # Check whether --with-pablo or --without-pablo was given.
 if test "${with_pablo+set}" = set; then
   withval="$with_pablo"
-  if test x$withval = xyes ; then
-	    { echo "configure: error: --with-pablo must be given a pathname" 1>&2; exit 1; }
+  if test "x$withval" = "xyes" ; then
+           { echo "configure: error: --with-pablo must be given a pathname" 1>&2; exit 1; }
     else
-	CFLAGS="$CFLAGS -I$withval/include"
-	LDFLAGS="$LDFLAGS -L$withval/lib"
-	LIBS="$LIBS -lPabloTrace"
-	cat >> confdefs.h <<\EOF
+       CFLAGS="$CFLAGS -I$withval/include"
+       LDFLAGS="$LDFLAGS -L$withval/lib"
+       LIBS="$LIBS -lPabloTrace"
+       cat >> confdefs.h <<\EOF
 #define HAVE_PABLO 1
 EOF
 
@@ -1080,13 +1080,13 @@ fi
 # Check whether --with-mpe or --without-mpe was given.
 if test "${with_mpe+set}" = set; then
   withval="$with_mpe"
-  if test x$withval = xyes ; then
-    	{ echo "configure: error: --with-mpe must be given a pathname" 1>&2; exit 1; }
+  if test "x$withval" = "xyes" ; then
+           { echo "configure: error: --with-mpe must be given a pathname" 1>&2; exit 1; }
     else
         CFLAGS="$CFLAGS -I$withval/include"
-	LDFLAGS="$LDFLAGS -L$withval/lib"
-	LIBS="$LIBS -lmpe -lmpich"
-	cat >> confdefs.h <<\EOF
+       LDFLAGS="$LDFLAGS -L$withval/lib"
+       LIBS="$LIBS -lmpe -lmpich"
+       cat >> confdefs.h <<\EOF
 #define HAVE_MPE 1
 EOF
 
@@ -1098,23 +1098,23 @@ fi
 # Check whether --with-kernel or --without-kernel was given.
 if test "${with_kernel+set}" = set; then
   withval="$with_kernel"
-  if test x$withval = xyes -o x$withval = x ; then
-    	{ echo "configure: error: --with-kernel must be given the path to your kernel source." 1>&2; exit 1; }
+  if test "x$withval" = "xyes" -o "x$withval" = "x" ; then
+           { echo "configure: error: --with-kernel must be given the path to your kernel source." 1>&2; exit 1; }
     fi
     if ! test -d $withval ; then
-    	{ echo "configure: error: The --with-kernel path $withval is not a directory." 1>&2; exit 1; }
+           { echo "configure: error: The --with-kernel path $withval is not a directory." 1>&2; exit 1; }
     fi
     if ! test -r $withval/include/linux/version.h ; then
-	{ echo "configure: error: The kernel source tree must have been configured." 1>&2; exit 1; }
+       { echo "configure: error: The kernel source tree must have been configured." 1>&2; exit 1; }
     fi
     vers=`sed -n '/UTS_RELEASE/{; s/.*"\(0-9\.0-9\).*".*/\1/; p; }' $withval/include/linux/version.h`
     if ! grep -q UTS_RELEASE..2\\.6\\. $withval/include/linux/version.h ; then
-	{ echo "configure: error: The kernel source tree does not appear to be 2.6" 1>&2; exit 1; }
+       { echo "configure: error: The kernel source tree does not appear to be 2.6" 1>&2; exit 1; }
     fi
     # At least up through 2.6.3 need to write .__modpost.cmd; this might get
     # fixed in the future.
     if ! test -w $withval ; then
-	{ echo "configure: error: You must have write permissions to the kernel source tree." 1>&2; exit 1; }
+       { echo "configure: error: You must have write permissions to the kernel source tree." 1>&2; exit 1; }
     fi
     LINUX_KERNEL_SRC="$withval"
     
@@ -1126,18 +1126,18 @@ fi
 # Check whether --with-kernel24 or --without-kernel24 was given.
 if test "${with_kernel24+set}" = set; then
   withval="$with_kernel24"
-  if test x$withval = xyes -o x$withval = x ; then
-    	{ echo "configure: error: --with-kernel24 must be given the path to your kernel 2.4.x source." 1>&2; exit 1; }
+  if test "x$withval" = "xyes" -o "x$withval" = "x" ; then
+           { echo "configure: error: --with-kernel24 must be given the path to your kernel 2.4.x source." 1>&2; exit 1; }
     fi
     if ! test -d $withval ; then
-    	{ echo "configure: error: The --with-kernel path $withval is not a directory." 1>&2; exit 1; }
+           { echo "configure: error: The --with-kernel path $withval is not a directory." 1>&2; exit 1; }
     fi
     if ! test -r $withval/include/linux/version.h ; then
-	{ echo "configure: error: The kernel source tree must have been configured." 1>&2; exit 1; }
+       { echo "configure: error: The kernel source tree must have been configured." 1>&2; exit 1; }
     fi
     vers=`sed -n '/UTS_RELEASE/{; s/.*"\(0-9\.0-9\).*".*/\1/; p; }' $withval/include/linux/version.h`
     if ! grep -q UTS_RELEASE..2\\.4\\. $withval/include/linux/version.h ; then
-	{ echo "configure: error: The kernel source tree does not appear to be 2.4" 1>&2; exit 1; }
+       { echo "configure: error: The kernel source tree does not appear to be 2.4" 1>&2; exit 1; }
     fi
     k24_minor_ver=`echo $vers | cut -b 26- | sed -n 's/\"//p' | head -n 1`
     tmp_k24_minor_ver=`echo $k24_minor_ver | grep \-`
@@ -1199,7 +1199,7 @@ echo "configure:1199: checking for clien
 # Check whether --enable-disable-thread-safety or --disable-disable-thread-safety was given.
 if test "${enable_disable_thread_safety+set}" = set; then
   enableval="$enable_disable_thread_safety"
-  if test x$enableval = xno; then
+  if test "x$enableval" = "xno" ; then
     LIBCFLAGS="$LIBCFLAGS -D__GEN_NULL_LOCKING__"
     THREAD_LIB=""
     echo "$ac_t""no" 1>&6
@@ -1217,7 +1217,7 @@ fi
 # Check whether --enable-perf-counters or --disable-perf-counters was given.
 if test "${enable_perf_counters+set}" = set; then
   enableval="$enable_perf_counters"
-  if test x$enableval = xno; then
+  if test "x$enableval" = "xno" ; then
     CFLAGS="$CFLAGS -D__PVFS2_DISABLE_PERF_COUNTERS__"
 fi
 
@@ -1227,7 +1227,7 @@ fi
 # Check whether --enable-disk-io or --disable-disk-io was given.
 if test "${enable_disk_io+set}" = set; then
   enableval="$enable_disk_io"
-  if test x$enableval = xno; then
+  if test "x$enableval" = "xno" ; then
     CFLAGS="$CFLAGS -D__PVFS2_DISABLE_DISK_IO__"
 fi
 
@@ -1238,7 +1238,7 @@ MMAP_RA_CACHE="-DUSE_MMAP_RA_CACHE"
 # Check whether --enable-mmap-racache or --disable-mmap-racache was given.
 if test "${enable_mmap_racache+set}" = set; then
   enableval="$enable_mmap_racache"
-  if test x$enableval = xno; then
+  if test "x$enableval" = "xno" ; then
     MMAP_RA_CACHE=""
 fi
 
@@ -1278,7 +1278,7 @@ else
   echo "$ac_t""no" 1>&6
 fi
 
-  if test x$HAVE_PKGCONFIG = xyes ; then
+  if test "x$HAVE_PKGCONFIG" = "xyes" ; then
      echo $ac_n "checking for gtk2.0 (for karma gui)""... $ac_c" 1>&6
 echo "configure:1284: checking for gtk2.0 (for karma gui)" >&5
      if `pkg-config --exists gtk+-2.0` ; then
@@ -1299,7 +1299,7 @@ echo "configure:1284: checking for gtk2.
 # Check whether --enable-karma or --disable-karma was given.
 if test "${enable_karma+set}" = set; then
   enableval="$enable_karma"
-   if test x$enableval = xyes; then
+   if test "x$enableval" = "xyes" ; then
       test_for_karma
    fi
 
@@ -1852,9 +1852,9 @@ else
 
 fi
 rm -f conftest*
-if test x$INTELC = x ; then
-    if test x$GCC = xyes ; then
-	GNUC=1
+if test "x$INTELC" = "x" ; then
+    if test "x$GCC" = "xyes" ; then
+       GNUC=1
     fi
 fi
 
@@ -1863,10 +1863,10 @@ fi
 # Check whether --with-efence or --without-efence was given.
 if test "${with_efence+set}" = set; then
   withval="$with_efence"
-  if test x$withval != xyes ; then
-		LDFLAGS="${LDFLAGS} -L$withval"
-	fi
-	echo $ac_n "checking for malloc in -lefence""... $ac_c" 1>&6
+  if test "x$withval" != "xyes" ; then
+              LDFLAGS="${LDFLAGS} -L$withval"
+       fi
+       echo $ac_n "checking for malloc in -lefence""... $ac_c" 1>&6
 echo "configure:1871: checking for malloc in -lefence" >&5
 ac_lib_var=`echo efence'_'malloc | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
@@ -1929,8 +1929,8 @@ echo $ac_n "checking for db library""...
 echo "configure:1930: checking for db library" >&5
 oldlibs=$LIBS
 for lib in db4  db3  db  notfound; do
-	LIBS="${oldlibs} -l$lib"
-	cat > conftest.$ac_ext <<EOF
+       LIBS="${oldlibs} -l$lib"
+       cat > conftest.$ac_ext <<EOF
 #line 1935 "configure"
 #include "confdefs.h"
 #include <db.h>
@@ -1947,10 +1947,10 @@ else
 fi
 rm -f conftest*
 done
-if test x$lib == xnotfound ; then
-	{ echo "configure: error: could not find DB libraries" 1>&2; exit 1; }
+if test "x$lib" == "xnotfound" ; then
+       { echo "configure: error: could not find DB libraries" 1>&2; exit 1; }
 else
-	echo "$ac_t""$lib" 1>&6
+       echo "$ac_t""$lib" 1>&6
 fi
 
 
@@ -2099,8 +2099,8 @@ if eval "test \"`echo '$ac_cv_header_'$a
 #define HAVE_GM 1
 EOF
 
-	BUILD_GM="1"
-	
+       BUILD_GM="1"
+       
 else
   echo "$ac_t""no" 1>&6
 fi
@@ -2139,7 +2139,7 @@ if eval "test \"`echo '$ac_cv_header_'$a
 #define HAVE_SYSINFO 1
 EOF
 
-	
+       
 else
   echo "$ac_t""no" 1>&6
 fi
@@ -2190,7 +2190,7 @@ if eval "test \"`echo '$ac_cv_header_'$a
 #define HAVE_IB 1
 EOF
 
-	BUILD_IB=1
+       BUILD_IB=1
 else
   echo "$ac_t""no" 1>&6
 fi
@@ -2253,7 +2253,7 @@ EOF
 #define _GNU_SOURCE 1
 EOF
 
-	cat >> confdefs.h <<\EOF
+       cat >> confdefs.h <<\EOF
 #define HAVE_STRNLEN 1
 EOF
 
@@ -2771,8 +2771,8 @@ else
 fi
 
 for d in src/apps src/io src/common src/client src/kernel \
-	doc src/apps/kernel test; do
-	install -d $d;
+       doc src/apps/kernel test; do
+       install -d $d;
 done
 
 trap '' 1 2 15
@@ -3271,13 +3271,13 @@ echo "$ac_t""" 1>&6
 echo "$ac_t""***** Displaying PVFS2 Configuration Information *****" 1>&6
 echo "$ac_t""------------------------------------------------------" 1>&6
 
-if test x$BUILD_KARMA = x1 ; then
+if test "x$BUILD_KARMA" = "x1" ; then
    echo "$ac_t""PVFS2 configured to build karma gui              : yes" 1>&6
 else
    echo "$ac_t""PVFS2 configured to build karma gui              :  no" 1>&6
 fi
 
-if test x$ENABLE_COVERAGE = x1 ; then
+if test "x$ENABLE_COVERAGE" = "x1" ; then
    echo "$ac_t""PVFS2 configured to perform coverage analysis    : yes" 1>&6
 else
    echo "$ac_t""PVFS2 configured to perform coverage analysis    :  no" 1>&6

Index: configure.in
===================================================================
RCS file: /projects/cvsroot/pvfs2/configure.in,v
diff -p -u -r1.168 -r1.169
--- configure.in	19 Jul 2004 21:20:12 -0000	1.168
+++ configure.in	29 Jul 2004 18:16:23 -0000	1.169
@@ -38,35 +38,35 @@ dnl fi
 dnl if we're running on linux-gnu and we find glibc version 2.3.2 or
 dnl later, we assume the aio threaded callbacks work
 MISC_TROVE_FLAGS=""
-if test x$host_os = xlinux-gnu; then
+if test "x$host_os" = "xlinux-gnu" ; then
     AC_MSG_CHECKING(glibc version for working aio callbacks)
     libc=`echo /lib/libc.so.* | sed 1q`
-    if test x$libc != x ; then
-	if test -x $libc ; then
-	    vers=`$libc 2> /dev/null | sed 's/.*version \(.*\),.*/\1/; q'`
-            if test x$vers = x; then
-               vers=`strings /lib/libc.so.* | grep GLIBC | tail -n 2 | grep -v PRIVATE | cut -b 7-`
+    if test "x$libc" != "x" ; then
+        if test -x $libc ; then
+            vers=`$libc 2> /dev/null | sed 's/.*version \(.*\),.*/\1/; q'`
+            if test "x$vers" = "x"; then
+                vers=`strings /lib/libc.so.* | grep GLIBC | tail -n 2 | grep -v PRIVATE | cut -b 7-`
             fi
             majorminor=`echo $vers | cut -b 1-3`
             sub=`echo $vers | cut -b 5`
-            if test x$majorminor = x2.3; then
+            if test "x$majorminor" = "x2.3" ; then
                 if test $sub -gt 1; then
-		    MISC_TROVE_FLAGS="-D__PVFS2_TROVE_AIO_THREADED__"
+                    MISC_TROVE_FLAGS="-D__PVFS2_TROVE_AIO_THREADED__"
                 fi
-	    fi
+            fi
         else
             vers=`strings /lib/libc.so.* | grep GLIBC | tail -n 2 | grep -v PRIVATE | cut -b 7-`
             majorminor=`echo $vers | cut -b 1-3`
             sub=`echo $vers | cut -b 5`
-            if test x$majorminor = x2.3; then
+            if test "x$majorminor" = "x2.3" ; then
                 if test $sub -gt 1; then
-		    MISC_TROVE_FLAGS="-D__PVFS2_TROVE_AIO_THREADED__"
+                    MISC_TROVE_FLAGS="-D__PVFS2_TROVE_AIO_THREADED__"
                 fi
-	    fi
-	fi
+            fi
+        fi
     fi
 fi
-if test x$MISC_TROVE_FLAGS = x ; then
+if test "x$MISC_TROVE_FLAGS" = "x" ; then
     AC_MSG_RESULT(no)
 else
     AC_MSG_RESULT(yes)
@@ -97,26 +97,26 @@ AC_DEFINE(BERKDB_ERROR_REPORTING, 1, Def
 dnl use the Pablo trace library
 AC_ARG_WITH(pablo,
 [  --with-pablo=path       Use Pablo trace library installed in "path"],
-    if test x$withval = xyes ; then
-	    AC_MSG_ERROR(--with-pablo must be given a pathname)
+    if test "x$withval" = "xyes" ; then
+           AC_MSG_ERROR(--with-pablo must be given a pathname)
     else
-	CFLAGS="$CFLAGS -I$withval/include"
-	LDFLAGS="$LDFLAGS -L$withval/lib"
-	LIBS="$LIBS -lPabloTrace"
-	AC_DEFINE(HAVE_PABLO, 1, [Define if Pablo library is used])
+       CFLAGS="$CFLAGS -I$withval/include"
+       LDFLAGS="$LDFLAGS -L$withval/lib"
+       LIBS="$LIBS -lPabloTrace"
+       AC_DEFINE(HAVE_PABLO, 1, [Define if Pablo library is used])
     fi
 )
 
 dnl use MPE profiling library 
 AC_ARG_WITH(mpe,
 [  --with-mpe=path         Use MPE profiling library installed in "path"],
-    if test x$withval = xyes ; then
-    	AC_MSG_ERROR(--with-mpe must be given a pathname)
+    if test "x$withval" = "xyes" ; then
+           AC_MSG_ERROR(--with-mpe must be given a pathname)
     else
         CFLAGS="$CFLAGS -I$withval/include"
-	LDFLAGS="$LDFLAGS -L$withval/lib"
-	LIBS="$LIBS -lmpe -lmpich"
-	AC_DEFINE(HAVE_MPE, 1, [Use the MPE profiling library])
+       LDFLAGS="$LDFLAGS -L$withval/lib"
+       LIBS="$LIBS -lmpe -lmpich"
+       AC_DEFINE(HAVE_MPE, 1, [Use the MPE profiling library])
     fi
 )
 
@@ -127,23 +127,23 @@ dnl Make sure this is a usable kernel so
 dnl
 AC_ARG_WITH(kernel,
 [  --with-kernel=srcpath   Build pvfs2 kernel module against 2.6.x src],
-    if test x$withval = xyes -o x$withval = x ; then
-    	AC_MSG_ERROR(--with-kernel must be given the path to your kernel source.)
+    if test "x$withval" = "xyes" -o "x$withval" = "x" ; then
+           AC_MSG_ERROR(--with-kernel must be given the path to your kernel source.)
     fi
     if ! test -d $withval ; then
-    	AC_MSG_ERROR(The --with-kernel path $withval is not a directory.)
+           AC_MSG_ERROR(The --with-kernel path $withval is not a directory.)
     fi
     if ! test -r $withval/include/linux/version.h ; then
-	AC_MSG_ERROR(The kernel source tree must have been configured.)
+       AC_MSG_ERROR(The kernel source tree must have been configured.)
     fi
     vers=`sed -n '/UTS_RELEASE/{; s/.*"\([0-9]\.[0-9]\).*".*/\1/; p; }' $withval/include/linux/version.h`
     if ! grep -q UTS_RELEASE..2\\.6\\. $withval/include/linux/version.h ; then
-	AC_MSG_ERROR(The kernel source tree does not appear to be 2.6)
+       AC_MSG_ERROR(The kernel source tree does not appear to be 2.6)
     fi
     # At least up through 2.6.3 need to write .__modpost.cmd; this might get
     # fixed in the future.
     if ! test -w $withval ; then
-	AC_MSG_ERROR(You must have write permissions to the kernel source tree.)
+       AC_MSG_ERROR(You must have write permissions to the kernel source tree.)
     fi
     LINUX_KERNEL_SRC="$withval"
     , LINUX_KERNEL_SRC="")
@@ -155,18 +155,18 @@ dnl Make sure this is a usable kernel so
 dnl
 AC_ARG_WITH(kernel24,
 [  --with-kernel24=srcpath Build pvfs2 kernel module against 2.4.x src],
-    if test x$withval = xyes -o x$withval = x ; then
-    	AC_MSG_ERROR(--with-kernel24 must be given the path to your kernel 2.4.x source.)
+    if test "x$withval" = "xyes" -o "x$withval" = "x" ; then
+           AC_MSG_ERROR(--with-kernel24 must be given the path to your kernel 2.4.x source.)
     fi
     if ! test -d $withval ; then
-    	AC_MSG_ERROR(The --with-kernel path $withval is not a directory.)
+           AC_MSG_ERROR(The --with-kernel path $withval is not a directory.)
     fi
     if ! test -r $withval/include/linux/version.h ; then
-	AC_MSG_ERROR(The kernel source tree must have been configured.)
+       AC_MSG_ERROR(The kernel source tree must have been configured.)
     fi
     vers=`sed -n '/UTS_RELEASE/{; s/.*"\([0-9]\.[0-9]\).*".*/\1/; p; }' $withval/include/linux/version.h`
     if ! grep -q UTS_RELEASE..2\\.4\\. $withval/include/linux/version.h ; then
-	AC_MSG_ERROR(The kernel source tree does not appear to be 2.4)
+       AC_MSG_ERROR(The kernel source tree does not appear to be 2.4)
     fi
     k24_minor_ver=`echo $vers | cut -b 26- | sed -n 's/\"//p' | head -n 1`
     tmp_k24_minor_ver=`echo $k24_minor_ver | grep \-`
@@ -229,7 +229,7 @@ dnl a mechanism to turn off threads in t
 AC_MSG_CHECKING([for client library thread safety support])
 AC_ARG_ENABLE(disable-thread-safety,
 [  --disable-thread-safety Disables thread safety in the client library],
-[if test x$enableval = xno; then
+[if test "x$enableval" = "xno" ; then
     LIBCFLAGS="$LIBCFLAGS -D__GEN_NULL_LOCKING__"
     THREAD_LIB=""
     AC_MSG_RESULT(no)
@@ -244,7 +244,7 @@ AC_SUBST(THREAD_LIB)
 dnl a mechanism to turn off perf counters
 AC_ARG_ENABLE(perf-counters,
 [  --disable-perf-counters Disables pvfs2-server performance counters],
-[if test x$enableval = xno; then
+[if test "x$enableval" = "xno" ; then
     CFLAGS="$CFLAGS -D__PVFS2_DISABLE_PERF_COUNTERS__"
 fi]
 ,)
@@ -252,7 +252,7 @@ fi]
 dnl a mechanism to turn off disk I/O for testing/debugging
 AC_ARG_ENABLE(disk-io,
 [  --disable-disk-io       Disables pvfs2-server disk I/O (for testing)],
-[if test x$enableval = xno; then
+[if test "x$enableval" = "xno" ; then
     CFLAGS="$CFLAGS -D__PVFS2_DISABLE_DISK_IO__"
 fi]
 ,)
@@ -261,7 +261,7 @@ dnl a mechanism to turn off mmap-readahe
 MMAP_RA_CACHE="-DUSE_MMAP_RA_CACHE"
 AC_ARG_ENABLE(mmap-racache,
 [  --disable-mmap-racache  Disables mmap-readahead in vfs interface],
-[if test x$enableval = xno; then
+[if test "x$enableval" = "xno" ; then
     MMAP_RA_CACHE=""
 fi]
 ,)
@@ -272,7 +272,7 @@ dnl karma gui
 test_for_karma()
 {
   AC_CHECK_PROG(HAVE_PKGCONFIG, pkg-config, yes, no)
-  if test x$HAVE_PKGCONFIG = xyes ; then
+  if test "x$HAVE_PKGCONFIG" = "xyes" ; then
      AC_MSG_CHECKING([for gtk2.0 (for karma gui)])
      if `pkg-config --exists gtk+-2.0` ; then
         AC_MSG_RESULT(yes)
@@ -292,7 +292,7 @@ test_for_karma()
 dnl optionally disable building the karma gui
 AC_ARG_ENABLE(karma,
 [  --disable-karma         Disables optional gui.  (Enabled by default)],
-[ if test x$enableval = xyes; then
+[ if test "x$enableval" = "xyes" ; then
       test_for_karma
    fi
 ],
@@ -341,9 +341,9 @@ AC_TRY_COMPILE([
     ,
     AC_MSG_RESULT(no)
 )
-if test x$INTELC = x ; then
-    if test x$GCC = xyes ; then
-	GNUC=1
+if test "x$INTELC" = "x" ; then
+    if test "x$GCC" = "xyes" ; then
+       GNUC=1
     fi
 fi
 AC_SUBST(INTELC)
@@ -351,10 +351,10 @@ AC_SUBST(GNUC)
 
 AC_ARG_WITH(efence,
 [  --with-efence=<path>    Use electric fence for malloc debugging.],
-	if test x$withval != xyes ; then
-		LDFLAGS="${LDFLAGS} -L$withval"
-	fi
-	AC_CHECK_LIB(efence,malloc)
+       if test "x$withval" != "xyes" ; then
+              LDFLAGS="${LDFLAGS} -L$withval"
+       fi
+       AC_CHECK_LIB(efence,malloc)
 )
 
 dnl
@@ -363,39 +363,39 @@ dnl and valid; path can be specified at 
 dnl
 
 AC_ARG_WITH(db,
-	[  --with-db=<dir>         Location of installed DB package (default=/usr)],
-	LDFLAGS="${LDFLAGS} -L$withval/lib" CFLAGS="${CFLAGS} -I$withval/include")
+       [  --with-db=<dir>         Location of installed DB package (default=/usr)],
+       LDFLAGS="${LDFLAGS} -L$withval/lib" CFLAGS="${CFLAGS} -I$withval/include")
 
 AC_MSG_CHECKING([for db library])
 oldlibs=$LIBS
 for lib in db4  db3  db  notfound; do
-	LIBS="${oldlibs} -l$lib"
-	AC_TRY_LINK(
-		[#include <db.h>],
-		[DB *dbp; db_create(&dbp, NULL, 0);],
-		[break])
+       LIBS="${oldlibs} -l$lib"
+       AC_TRY_LINK(
+              [#include <db.h>],
+              [DB *dbp; db_create(&dbp, NULL, 0);],
+              [break])
 done
-if test x$lib == xnotfound ; then
-	AC_MSG_ERROR(could not find DB libraries)
+if test "x$lib" == "xnotfound" ; then
+       AC_MSG_ERROR(could not find DB libraries)
 else
-	AC_MSG_RESULT($lib)
+       AC_MSG_RESULT($lib)
 fi
 
 dnl See if we have a new enough version of Berkeley DB; needed for
 dnl    compilation of trove-dbpf component
 dnl AC_MSG_CHECKING(whether version of Berkeley DB is new enough)
-dnl	AC_TRY_COMPILE([
-dnl	#include <db.h>
-dnl	], [
-dnl	#if DB_VERSION_MAJOR < 4
-dnl		#error "DB_VERSION_MAJOR < 4; need newer Berkeley DB implementation"
-dnl	#endif
-dnl	], AC_MSG_RESULT(yes),
-dnl	AC_MSG_RESULT(no)
-dnl		AC_MSG_ERROR(Need newer (4.x.x or later) version of Berkeley DB.
+dnl       AC_TRY_COMPILE([
+dnl       #include <db.h>
+dnl       ], [
+dnl       #if DB_VERSION_MAJOR < 4
+dnl              #error "DB_VERSION_MAJOR < 4; need newer Berkeley DB implementation"
+dnl       #endif
+dnl       ], AC_MSG_RESULT(yes),
+dnl       AC_MSG_RESULT(no)
+dnl              AC_MSG_ERROR(Need newer (4.x.x or later) version of Berkeley DB.
 dnl try: http://www.sleepycat.com/download/index.shtml
 dnl or: /parl/pcarns/rpms/db4-4.0.14-1mdk.src.rpm (to build rpm))
-dnl	)
+dnl       )
 
 dnl Test to check for unknown third parameter to DB stat (four parameters total)
 AC_MSG_CHECKING(for four-parameter DB stat)
@@ -452,17 +452,17 @@ dnl look for GM headers
 CPPFLAGS_OLD="$CPPFLAGS"
 CPPFLAGS="$CPPFLAGS -I ${GM_HOME}/include -I ${GM_HOME}/include/gm"
 AC_CHECK_HEADER(gm.h,
-	AC_DEFINE(HAVE_GM, 1, Define if GM is present)
-	BUILD_GM="1"
-	)
+       AC_DEFINE(HAVE_GM, 1, Define if GM is present)
+       BUILD_GM="1"
+       )
 CPPFLAGS="$CPPFLAGS_OLD"
 
 dnl
 dnl look for sysinfo header
 dnl
 AC_CHECK_HEADER(sys/sysinfo.h,
-	AC_DEFINE(HAVE_SYSINFO, 1, Define if sysinfo.h is present)
-	)
+       AC_DEFINE(HAVE_SYSINFO, 1, Define if sysinfo.h is present)
+       )
 
 
 AC_SUBST(BUILD_GM)
@@ -473,8 +473,8 @@ AC_ARG_WITH(ib,[  --with-ib=<dir>       
 CPPFLAGS_OLD="$CPPFLAGS"
 CPPFLAGS="$CPPFLAGS -I ${IB_HOME}/include"
 AC_CHECK_HEADER(vapi.h,
-	AC_DEFINE(HAVE_IB, 1, Define if IB is present)
-	BUILD_IB=1)
+       AC_DEFINE(HAVE_IB, 1, Define if IB is present)
+       BUILD_IB=1)
 CPPFLAGS="$CPPFLAGS_OLD"
 AC_SUBST(IB_HOME)
 AC_SUBST(BUILD_IB)
@@ -484,8 +484,8 @@ dnl the prototypes for some functions ar
 dnl for example, strnlen needs _GNU_SOURCE defined 
 
 AC_CHECK_FUNCS(strnlen, 
-	AC_DEFINE(_GNU_SOURCE)
-	AC_DEFINE(HAVE_STRNLEN)
+       AC_DEFINE(_GNU_SOURCE)
+       AC_DEFINE(HAVE_STRNLEN)
 )
 dnl for regular functions, add them to the CHECK_FUNCS
 AC_CHECK_FUNCS(strtoull)
@@ -535,8 +535,8 @@ fi
 dnl create any missing subdirectories that wouldn't be created
 dnl by AC_OUTPUT below (which won't create intermediate dirs).
 for d in src/apps src/io src/common src/client src/kernel \
-	doc src/apps/kernel test; do
-	install -d $d;
+       doc src/apps/kernel test; do
+       install -d $d;
 done
 
 dnl output final version of top level makefile and subdirectory
@@ -594,13 +594,13 @@ AC_MSG_RESULT()
 AC_MSG_RESULT([***** Displaying PVFS2 Configuration Information *****])
 AC_MSG_RESULT([------------------------------------------------------])
 
-if test x$BUILD_KARMA = x1 ; then
+if test "x$BUILD_KARMA" = "x1" ; then
    AC_MSG_RESULT([PVFS2 configured to build karma gui              : yes])
 else
    AC_MSG_RESULT([PVFS2 configured to build karma gui              :  no])
 fi
 
-if test x$ENABLE_COVERAGE = x1 ; then
+if test "x$ENABLE_COVERAGE" = "x1" ; then
    AC_MSG_RESULT([PVFS2 configured to perform coverage analysis    : yes])
 else
    AC_MSG_RESULT([PVFS2 configured to perform coverage analysis    :  no])



More information about the PVFS2-CVS mailing list